Server Down 07/01/2018

Frontpage News - replying is enabled
Post Reply
User avatar
teh ORiON
NO SWAG FGT
Posts: 354
Joined: 14 Aug 2010, 17:51
Location: Denmark, Copenhagen.

Server Down 07/01/2018

Post by teh ORiON » 07 Jan 2018, 19:37

Since many ask, the server is down at the moment. This is due to the actual server having been updated to a newer version of it's operating system. This seems to have caused some compatibility issue, causing the server to not start correctly. It's being looked into.
ORiON....w h e r e . t h e . s t a r s . c o m e . o u t . a t . n i g h t !....

pizzahut
Demo
Posts: 63
Joined: 12 Aug 2009, 22:07

Re: Server Down 07/01/2018

Post by pizzahut » 08 Jan 2018, 17:10

Jolene's quick fix for RV was to update it to SteamCMD (in a new folder), so I did the same with FM. It's probably still possible to get the old server working somehow, which would have to be looked into if the move to SteamCMD causes issues. It's probably some Linux library which is either missing or has the wrong version.

Code: Select all

warning: .dynamic section for "/lib/i386-linux-gnu/libdl.so.2" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/lib/i386-linux-gnu/libpthread.so.0" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/lib/i386-linux-gnu/libc.so.6" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/lib/ld-linux.so.2" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/lib/i386-linux-gnu/libm.so.6" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/lib/i386-linux-gnu/librt.so.1" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/lib/i386-linux-gnu/libnss_files.so.2" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/lib/i386-linux-gnu/libnss_dns.so.2" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/lib/i386-linux-gnu/libresolv.so.2" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "./tfc/addons/metamod/dlls/metamod_i386.so" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/home/feckinmad/steamcmd/hlds/tfc/addons/amxmodx/dlls/amxmodx_mm_i386.so" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "tfc/addons/amxmodx/modules/mysql_amxx_i386.so" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "tfc/addons/amxmodx/modules/fakemeta_amxx_i386.so" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "tfc/addons/amxmodx/modules/hamsandwich_amxx_i386.so" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "tfc/addons/amxmodx/modules/nvault_amxx_i386.so" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "tfc/addons/amxmodx/modules/engine_amxx_i386.so" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "tfc/addons/amxmodx/modules/fun_amxx_i386.so" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "tfc/addons/amxmodx/modules/orpheu_amxx_i386.so" is not at the expected address (wrong library or version mismatch?)
Warning: couldn't activate thread debugging using libthread_db: Cannot find new threads: generic error
warning: File "/lib/i386-linux-gnu/libthread_db-1.0.so" auto-loading has been declined by your `auto-load safe-path' set to "$debugdir:$datadir/auto-load".
warning: Unable to find libthread_db matching inferior's thread library, thread debugging will not be available.
Warning: couldn't activate thread debugging using libthread_db: Cannot find new threads: generic error
warning: File "/lib/i386-linux-gnu/libthread_db-1.0.so" auto-loading has been declined by your `auto-load safe-path' set to "$debugdir:$datadir/auto-load".
warning: Unable to find libthread_db matching inferior's thread library, thread debugging will not be available.
warning: Could not load shared library symbols for ords - 1)) == 0.
Do you need "set solib-search-path" or "set sysroot"?
When searching for this error, the following thread was the first hit on Google, in which RoboCop had issues with TF2, and a Valve employee responded and was able to solve it. The suggested fix didn't work, and I tried using ldd *.so in the hlds dir to find out which library is missing, but it wasn't very conclusive to me.

https://github.com/ValveSoftware/Source ... ssues/2222

https://www.google.de/search?q=warning: ... 6uUr6MmOgL

Post Reply

Who is online

Users browsing this forum: No registered users and 3 guests